#!/bin/sh -e
PKG_PATH=/usr/local/AppCentral/spotify

if [ ! -e $PKG_PATH/CONTROL/env.sh ]; then
    echo "Can't find $PKG_PATH/CONTROL/env.sh"
    exit 1
fi

                                   

source $PKG_PATH/CONTROL/env.sh
export HOME=$PKG_PATH
export SPOTIFY_HOME=$PKG_PATH
#export LD_PRELOAD=$PKG_PATH/lib/libiconv.so.0
export DATADIR=$HOME/.pki
echo $DATADIR

RESOLUTION=$(xrandr | head -1 | grep 'Screen.*current.*,' | awk '{FS=","} {print $2}' | tr -d 'current'| tr -d " *")                          
RESOLUTION_W=$(echo "$RESOLUTION" | awk '{FS="x"} {print $1}')                                                                                
RESOLUTION_H=$(echo "$RESOLUTION" | awk '{FS="x"} {print $2}')                                                                                

echo "RESOLUTION_W: $RESOLUTION_W"                                                                                                            
echo "RESOLUTION_H: $RESOLUTION_H"                                    
# 38.5 1843.2 22 1036
R_W=$RESOLUTION_W
R_H=$RESOLUTION_H 
RESOLUTION_W=`expr $RESOLUTION_W '*' 96` 
RESOLUTION_W=`expr $RESOLUTION_W '/' 100` 
RESOLUTION_H=`expr $RESOLUTION_H '*' 96`
RESOLUTION_H=`expr $RESOLUTION_H '/' 100`

w1=`expr $R_W - $RESOLUTION_W`
h1=`expr $R_H - $RESOLUTION_H`
w1=`expr $w1 / 2`
h1=`expr $h1 / 2`

echo "w1=$w1, h1=$h1 RESOLUTION_W=$RESOLUTION_W, RESOLUTION_H=$RESOLUTION_H"
xdotool search --onlyvisible --class spotify windowmove $w1 $h1
xdotool search --onlyvisible --class spotify  windowsize $RESOLUTION_W $RESOLUTION_H


